Starting in March 2021, Cisco Webex is moving to a new Certificate Authority, IdenTrust Commercial Root CA 1. Due to this change, customers who are managing their device software upgrades manually must upgrade their devices to minimum CE 9.14.5 and preferably CE 9.15 at the earliest in order to be supported by Webex Edge for Devices.

Failure to upgrade results in devices losing cloud connectivity and loss of all related functionality. This includes Control Hub Management, Analytics, Hybrid calendaring amongst other features. Your ability to connect and use your on-premises SIP infrastructure will not be impacted. Additionally, devices on unsupported versions lose the ability to be linked to the Webex cloud using the Webex Device Connector.

In general, for cloud connected software, we support a specific device software up to 6 months after its release date. After upgrading, we recommend customers to consider configuring their devices to allow automatic cloud upgrades through Webex Control Hub.